Bug 210873 - security/hashcat: Move to security/hashcat-legacy
Summary: security/hashcat: Move to security/hashcat-legacy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Seaman
URL: https://github.com/hashcat/hashcat/re...
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-07-06 13:02 UTC by Nikolai Lifanov
Modified: 2016-07-11 21:29 UTC (History)
1 user (show)

See Also:


Attachments
security/hashcat => security/hashcat-legacy (2.38 KB, patch)
2016-07-06 13:02 UTC, Nikolai Lifanov
lifanov: maintainer-approval+
Details | Diff
security/hashcat: 3.00 (29.72 KB, patch)
2016-07-06 17:25 UTC, Nikolai Lifanov
lifanov: maintainer-approval+
Details | Diff
security/hashcat: 3.00 (30.00 KB, patch)
2016-07-06 18:18 UTC, Nikolai Lifanov
lifanov: maintainer-approval+
Details | Diff
poudriere testport output (14.18 KB, text/plain)
2016-07-07 20:33 UTC, Matthew Seaman
no flags Details
security/hashcat: 3.00 (30.23 KB, patch)
2016-07-09 20:08 UTC, Nikolai Lifanov
lifanov: maintainer-approval+
Details | Diff
10.3/amd64 testport log (18.67 KB, text/plain)
2016-07-11 20:56 UTC, Nikolai Lifanov
no flags Details
10.1/amd64 testport (18.67 KB, text/plain)
2016-07-11 21:04 UTC, Nikolai Lifanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2016-07-06 13:02:17 UTC
Created attachment 172170 [details]
security/hashcat => security/hashcat-legacy

Please move security/hashcat to security/hashcat-legacy, following upstream
rename and GitHub project move. This unbreaks the port and frees up room
for security/hashcat (built on a different codebase), which I'm close to
finishing porting to FreeBSD.

While at it, add explicit dependency on math/gmp.

Let me know if an entry in MOVED or UPDATING is necessary.
I'm planning to make a port for security/hashcat shortly.
Comment 1 Matthew Seaman freebsd_committer 2016-07-06 13:30:15 UTC
The MOVED entry would have the effect that users of the existing security/hashcat will automatically update to security/hashcat-legacy.

If the intention is that users should update to the new-codebase version of security/hashcat instead, then I should copy security/hashcat to security/hashcat-legacy and apply the upgrade to security/hashcat in close proximity.  In which case, could you add a patch with the security/hashcat changes to this PR please? For this alternative an UPDATING entry to suggest installing hashcat-legacy if desired would be a good idea.
Comment 2 Nikolai Lifanov 2016-07-06 15:13:22 UTC
I'm almost done with the new port. I'll attach it soon. The UPDATING entry will be necessary because the new version requires a working OpenCL runtime (but is CPU/GPU agnostic).
Comment 3 Nikolai Lifanov 2016-07-06 15:15:58 UTC
I'm attaching changelog in the URL field.
Comment 4 Nikolai Lifanov 2016-07-06 17:25:06 UTC
Created attachment 172177 [details]
security/hashcat: 3.00

Here you go. This passes "portlint -A" and works on 10.3/11.0 i386/amd64.

There should be an UPDATING entry to the effect of what's in pkg-message.
Comment 5 Nikolai Lifanov 2016-07-06 18:18:59 UTC
Created attachment 172179 [details]
security/hashcat: 3.00

I apologize. I attached the wrong patch.
Comment 6 Matthew Seaman freebsd_committer 2016-07-07 20:33:46 UTC
Created attachment 172212 [details]
poudriere testport output

Sorry -- hashcat 3.00 is failing poudriere testport.  Looks like it expects gcc to be installed but the port isn't adding gcc as a build depends.

hashcat-legacy builds on 10.1 amd64 but fails on 9.3 amd64 due to a missing header.
Comment 7 VK freebsd_triage 2016-07-09 01:16:49 UTC
Nikolai, thanks for your patches. Please note you can confirm QA only by mentioning which tests passed (or failed), like "Poudriere 10.3 amd64 build passed", or something. Attaching build logs is not required and they only clutter the Bugzilla database.
Comment 8 Matthew Seaman freebsd_committer 2016-07-09 09:14:06 UTC
(In reply to Vladimir Krstulja from comment #7)

Careful there Vladimir.  It was me who attached the poudriere testport output.
Comment 9 Nikolai Lifanov 2016-07-09 20:08:24 UTC
Created attachment 172294 [details]
security/hashcat: 3.00

Apologies, I was trying to mix/match svn/portsnap with my poudriere.
This is the correct patch, which passed on 10.3 amd64/i386 and 11.0 amd64.

Both hashcat and hashcat-legacy should already be marked BROKEN_FreeBSD_9.
The previous version of hashcat was BROKEN_FreeBSD_9 as well.
Comment 10 Matthew Seaman freebsd_committer 2016-07-11 06:02:10 UTC
Sorry -- this is still failing my poudriere testbuilds.  It requires a C compiler called exactly 'gcc' and that does not exist without installing one of the ports versions.
Comment 11 Nikolai Lifanov 2016-07-11 20:55:40 UTC
I'm sorry. I can't reproduce the failure. It uses /usr/bin/cc to build for me.
Comment 12 Nikolai Lifanov 2016-07-11 20:56:50 UTC
Created attachment 172392 [details]
10.3/amd64 testport log

Here is my log.
Comment 13 Nikolai Lifanov 2016-07-11 21:04:53 UTC
Created attachment 172393 [details]
10.1/amd64 testport

Here is another log, from 10.1/amd64.
Comment 14 commit-hook freebsd_committer 2016-07-11 21:21:42 UTC
A commit references this bug:

Author: matthew
Date: Mon Jul 11 21:21:36 UTC 2016
New revision: 418409
URL: https://svnweb.freebsd.org/changeset/ports/418409

Log:
  Upgrade to 3.00

  This is a major rewrite that combines the codebases of the former
  hashcat (running on the main CPU) and oclHashcat (running on the GPU).

  Because of the extent of the changes, the previous version will still
  remain available, renamed to 'hashcat-legacy' (following upstream)

  ChangeLog: https://github.com/hashcat/hashcat/releases/tag/v3.00

  PR:		210873
  Submitted by:	lifanov@mail.lifanov.com (maintainer)

Changes:
  head/security/hashcat/Makefile
  head/security/hashcat/distinfo
  head/security/hashcat/files/patch-include_common.h
  head/security/hashcat/files/patch-include_ext__OpenCL.h
  head/security/hashcat/files/patch-src_Makefile
  head/security/hashcat/files/patch-src_hashcat-cli.c
  head/security/hashcat/files/patch-src_hashcat.c
  head/security/hashcat/files/patch-src_shared.c
  head/security/hashcat/pkg-message
  head/security/hashcat/pkg-plist
Comment 15 commit-hook freebsd_committer 2016-07-11 21:27:44 UTC
A commit references this bug:

Author: matthew
Date: Mon Jul 11 21:27:19 UTC 2016
New revision: 418410
URL: https://svnweb.freebsd.org/changeset/ports/418410

Log:
  Rename security/hashcat to security/hashcat-legacy
  (Tracking upstream change)

  security/hashcat has been extensively reworked and may now utilize
  OpenCL to run on GPUs etc.  Most people are expected to upgrade to
  security/hashcat (hashcat-3.00); this port is being kept in order to
  support people for whom hashcat-3.00 may not be compatible.

  Add explicit dependency on math/gmp

  PR:		210873
  Submitted by:	lifanov@mail.lifanov.com (maintainer)

Changes:
  head/security/Makefile
  head/security/hashcat-legacy/
  head/security/hashcat-legacy/Makefile
  head/security/hashcat-legacy/distinfo
Comment 16 Matthew Seaman freebsd_committer 2016-07-11 21:29:00 UTC
Apologies.  I had at least one of the patches corrupted, which broke my test builds.  Everything is fine!

Committed, thanks!